Page MenuHomePhabricator

LTO: Port the legacy LTO API to ModuleSymbolTable.
ClosedPublic

Authored by pcc on Nov 23 2016, 4:11 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

pcc updated this revision to Diff 79170.Nov 23 2016, 4:11 PM
pcc retitled this revision from to LTO: Port the legacy LTO API to ModuleSymbolTable..
pcc updated this object.
pcc added a reviewer: mehdi_amini.
pcc added subscribers: llvm-commits, rafael.
mehdi_amini accepted this revision.Dec 9 2016, 6:47 PM
mehdi_amini edited edge metadata.

LGTM.

llvm/lib/LTO/LTOModule.cpp
238 ↗(On Diff #79170)

make_unique?

This revision is now accepted and ready to land.Dec 9 2016, 6:47 PM
pcc added inline comments.Dec 13 2016, 11:58 AM
llvm/lib/LTO/LTOModule.cpp
238 ↗(On Diff #79170)

That won't work, LTOModule's ctor is private.

This revision was automatically updated to reflect the committed changes.